
#ifndef STORY_ENTITY_H
#define STORY_ENTITY_H

#include "stdincl.h"
#include "story_def.h"

class StoryEntity {

 public:
  StoryEntity ();
  ~StoryEntity ();

  bool isInit;
  bool isPaused;

  virtual Error init();
  virtual Error start(int storyID);
  virtual Error start();
  virtual Error stop();
  virtual Error pause();
  virtual Error resume();

  virtual void load();
  virtual void destroy();

  virtual void displayLoadScreen();
  virtual void releaseLoadScreen();

  void setStoryID(int storyID);
  int getStoryID();

  void setNextStoryID(int nextStoryID);
  int getNextStoryID();


 private:
  int storyID;
  int nextStoryID;
};

#endif
